/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;


public class CCodeline {
    private List<CToken> CToken;
    private List<CComment> CComment;
    private List<CSp> CSp;

    private String no;
    private String refid;

    public CCodeline() {

        no = null;
        refid = null;

        CToken = new ArrayList<CToken>();
        CComment = new ArrayList<CComment>();
        CSp = new ArrayList<CSp>();

    }

    public List<CComment> getCComment() {
        return CComment;
    }

    public void setCComment(List<CComment> CComment) {
        this.CComment = CComment;
    }

    public List<CSp> getCSp() {
        return CSp;
    }

    public void setCSp(List<CSp> CSp) {
        this.CSp = CSp;
    }

    public List<CToken> getCToken() {
        return CToken;
    }

    public void setCToken(List<CToken> CToken) {
        this.CToken = CToken;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getRefid() {
        return refid;
    }

    public void setRefid(String refid) {
        this.refid = refid;
    }

    public void addCToken(CToken cc){
        this.CToken.add(cc);
    }

    public void addCComment(CComment cc){
        this.CComment.add(cc);
    }

    public void addCSp(CSp cc){
        this.CSp.add(cc);
    }
}
